org.jboss.jca.as.converters.wls.metadata

## Class ConnectionDefinitionPropertiesImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.ConnectionDefinitionPropertiesImpl

- All Implemented Interfaces:
    java.io.Serializable, ConnectionDefinitionProperties, WlsMetadata

      public class ConnectionDefinitionPropertiesImpl
      extends java.lang.Object
      implements ConnectionDefinitionProperties

  A generic ConnectionDefinitionProperties.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.ConnectionDefinitionProperties

      `ConnectionDefinitionProperties.Attribute, ConnectionDefinitionProperties.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionDefinitionPropertiesImpl(PoolParams poolParams, Logging logging, TransactionSupport trans, java.lang.String authMech, java.lang.Boolean reAuthSupport, ConfigProperties props, java.lang.String resAuth)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthenticationMechanism()` getAuthenticationMechanism
    `Logging` | `getLogging()` getLogging
    `PoolParams` | `getPoolParams()` getPoolParams
    `ConfigProperties` | `getProperties()` getProperties
    `java.lang.Boolean` | `getReauthenticationSupport()` getReauthenticationSupport
    `java.lang.String` | `getResAuth()` getResAuth
    `TransactionSupport` | `getTransactionSupport()` getTransactionSupport

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionDefinitionPropertiesImpl

          public ConnectionDefinitionPropertiesImpl(PoolParams poolParams,
                                                    Logging logging,
                                                    TransactionSupport trans,
                                                    java.lang.String authMech,
                                                    java.lang.Boolean reAuthSupport,
                                                    ConfigProperties props,
                                                    java.lang.String resAuth)

      constructor
      Parameters:
        `poolParams` - PoolParams
        `logging` - Logging
        `trans` - TransactionSupport
        `authMech` - authMech
        `reAuthSupport` - reAuthSupport
        `props` - ConfigProperties
        `resAuth` - resAuth

  - ### Method Detail

    - #### getPoolParams

          public PoolParams getPoolParams()

      Description copied from interface: `ConnectionDefinitionProperties`
      getPoolParams
      Specified by:
        `getPoolParams` in interface `ConnectionDefinitionProperties`
      Returns:
        the PoolParams

    - #### getLogging

          public Logging getLogging()

      Description copied from interface: `ConnectionDefinitionProperties`
      getLogging
      Specified by:
        `getLogging` in interface `ConnectionDefinitionProperties`
      Returns:
        the Logging

    - #### getTransactionSupport

          public TransactionSupport getTransactionSupport()

      Description copied from interface: `ConnectionDefinitionProperties`
      getTransactionSupport
      Specified by:
        `getTransactionSupport` in interface `ConnectionDefinitionProperties`
      Returns:
        the transactionSupport

    - #### getAuthenticationMechanism

          public java.lang.String getAuthenticationMechanism()

      Description copied from interface: `ConnectionDefinitionProperties`
      getAuthenticationMechanism
      Specified by:
        `getAuthenticationMechanism` in interface `ConnectionDefinitionProperties`
      Returns:
        the AuthenticationMechanism

    - #### getReauthenticationSupport

          public java.lang.Boolean getReauthenticationSupport()

      Description copied from interface: `ConnectionDefinitionProperties`
      getReauthenticationSupport
      Specified by:
        `getReauthenticationSupport` in interface `ConnectionDefinitionProperties`
      Returns:
        bool ReauthenticationSupport

    - #### getProperties

          public ConfigProperties getProperties()

      Description copied from interface: `ConnectionDefinitionProperties`
      getProperties
      Specified by:
        `getProperties` in interface `ConnectionDefinitionProperties`
      Returns:
        the ConfigProperties

    - #### getResAuth

          public java.lang.String getResAuth()

      Description copied from interface: `ConnectionDefinitionProperties`
      getResAuth
      Specified by:
        `getResAuth` in interface `ConnectionDefinitionProperties`
      Returns:
        the ResAuth

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)